MagickWand: magick-property.c File Reference

# magick-property.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/wand.h"`

## Defines
#define | ThrowWandException(severity, tag, context)
## Functions
WandExport MagickBooleanType | MagickDeleteImageProperty (MagickWand *wand, const char *property)
WandExport MagickBooleanType | MagickDeleteOption (MagickWand *wand, const char *option)
WandExport MagickBooleanType | MagickGetAntialias (const MagickWand *wand)
WandExport PixelWand * | MagickGetBackgroundColor (MagickWand *wand)
WandExport CompressionType | MagickGetCompression (MagickWand *wand)
WandExport unsigned long | MagickGetCompressionQuality (MagickWand *wand)
WandExport const char * | MagickGetCopyright (void)
WandExport char * | MagickGetFilename (const MagickWand *wand)
WandExport char * | MagickGetFont (MagickWand *wand)
WandExport char * | MagickGetFormat (MagickWand *wand)
WandExport GravityType | MagickGetGravity (MagickWand *wand)
WandExport char * | MagickGetHomeURL (void)
WandExport unsigned char * | MagickGetImageProfile (MagickWand *wand, const char *name, size_t *length)
WandExport char ** | MagickGetImageProfiles (MagickWand *wand, const char *pattern, unsigned long *number_profiles)
WandExport char * | MagickGetImageProperty (MagickWand *wand, const char *property)
WandExport char ** | MagickGetImageProperties (MagickWand *wand, const char *pattern, unsigned long *number_properties)
WandExport InterlaceType | MagickGetInterlaceScheme (MagickWand *wand)
WandExport InterpolatePixelMethod | MagickGetInterpolateMethod (MagickWand *wand)
WandExport char * | MagickGetOption (MagickWand *wand, const char *key)
WandExport char ** | MagickGetOptions (MagickWand *wand, const char *pattern, unsigned long *number_options)
WandExport OrientationType | MagickGetOrientation (MagickWand *wand)
WandExport const char * | MagickGetPackageName (void)
WandExport MagickBooleanType | MagickGetPage (const MagickWand *wand, unsigned long *width, unsigned long *height, long *x, long *y)
WandExport double | MagickGetPointsize (MagickWand *wand)
WandExport const char * | MagickGetQuantumDepth (unsigned long *depth)
WandExport const char * | MagickGetQuantumRange (unsigned long *range)
WandExport const char * | MagickGetReleaseDate (void)
WandExport unsigned long | MagickGetResource (const ResourceType type)
WandExport unsigned long | MagickGetResourceLimit (const ResourceType type)
WandExport double * | MagickGetSamplingFactors (MagickWand *wand, unsigned long *number_factors)
WandExport MagickBooleanType | MagickGetSize (const MagickWand *wand, unsigned long *columns, unsigned long *rows)
WandExport MagickBooleanType | MagickGetSizeOffset (const MagickWand *wand, long *offset)
WandExport ImageType | MagickGetType (MagickWand *wand)
WandExport const char * | MagickGetVersion (unsigned long *version)
WandExport MagickBooleanType | MagickProfileImage (MagickWand *wand, const char *name, const void *profile, const size_t length)
WandExport unsigned char * | MagickRemoveImageProfile (MagickWand *wand, const char *name, size_t *length)
WandExport MagickBooleanType | MagickSetAntialias (MagickWand *wand, const MagickBooleanType antialias)
WandExport MagickBooleanType | MagickSetBackgroundColor (MagickWand *wand, const PixelWand *background)
WandExport MagickBooleanType | MagickSetCompression (MagickWand *wand, const CompressionType compression)
WandExport MagickBooleanType | MagickSetCompressionQuality (MagickWand *wand, const unsigned long quality)
WandExport MagickBooleanType | MagickSetDepth (MagickWand *wand, const unsigned long depth)
WandExport MagickBooleanType | MagickSetFilename (MagickWand *wand, const char *filename)
WandExport MagickBooleanType | MagickSetFont (MagickWand *wand, const char *font)
WandExport MagickBooleanType | MagickSetFormat (MagickWand *wand, const char *format)
WandExport MagickBooleanType | MagickSetGravity (MagickWand *wand, const GravityType type)
WandExport MagickBooleanType | MagickSetImageProfile (MagickWand *wand, const char *name, const void *profile, const size_t length)
WandExport MagickBooleanType | MagickSetImageProperty (MagickWand *wand, const char *property, const char *value)
WandExport MagickBooleanType | MagickSetInterlaceScheme (MagickWand *wand, const InterlaceType interlace_scheme)
WandExport MagickBooleanType | MagickSetInterpolateMethod (MagickWand *wand, const InterpolatePixelMethod method)
WandExport MagickBooleanType | MagickSetOption (MagickWand *wand, const char *key, const char *value)
WandExport MagickBooleanType | MagickSetOrientation (MagickWand *wand, const OrientationType orientation)
WandExport MagickBooleanType | MagickSetPage (MagickWand *wand, const unsigned long width, const unsigned long height, const long x, const long y)
WandExport MagickBooleanType | MagickSetPassphrase (MagickWand *wand, const char *passphrase)
WandExport MagickBooleanType | MagickSetPointsize (MagickWand *wand, const double pointsize)
WandExport MagickProgressMonitor | MagickSetProgressMonitor (MagickWand *wand, const MagickProgressMonitor progress_monitor, void *client_data)
WandExport MagickBooleanType | MagickSetResourceLimit (const ResourceType type, const MagickSizeType limit)
WandExport MagickBooleanType | MagickSetResolution (MagickWand *wand, const double x_resolution, const double y_resolution)
WandExport MagickBooleanType | MagickSetSamplingFactors (MagickWand *wand, const unsigned long number_factors, const double *sampling_factors)
WandExport MagickBooleanType | MagickSetSize (MagickWand *wand, const unsigned long columns, const unsigned long rows)
WandExport MagickBooleanType | MagickSetSizeOffset (MagickWand *wand, const unsigned long columns, const unsigned long rows, const long offset)
WandExport MagickBooleanType | MagickSetType (MagickWand *wand, const ImageType image_type)

## Define Documentation

#define ThrowWandException | ( | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      (void) ThrowMagickException(wand->exception,GetMagickModule(),severity, \
        tag,"`%s'",context); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType MagickDeleteImageProperty | ( | MagickWand * | wand,
|  | const char * | property |
| ) |  |  |

WandExport MagickBooleanType MagickDeleteOption | ( | MagickWand * | wand,
|  | const char * | option |
| ) |  |  |

WandExport MagickBooleanType MagickGetAntialias | ( | const MagickWand * | wand | ) |

WandExport PixelWand* MagickGetBackgroundColor | ( | MagickWand * | wand | ) |

WandExport CompressionType MagickGetCompression | ( | MagickWand * | wand | ) |

WandExport unsigned long MagickGetCompressionQuality | ( | MagickWand * | wand | ) |

WandExport const char* MagickGetCopyright | ( | void |  | ) |

WandExport char* MagickGetFilename | ( | const MagickWand * | wand | ) |

WandExport char* MagickGetFont | ( | MagickWand * | wand | ) |

WandExport char* MagickGetFormat | ( | MagickWand * | wand | ) |

WandExport GravityType MagickGetGravity | ( | MagickWand * | wand | ) |

WandExport char* MagickGetHomeURL | ( | void |  | ) |

WandExport unsigned char* MagickGetImageProfile | ( | MagickWand * | wand,
|  | const char * | name,
|  | size_t * | length |
| ) |  |  |

WandExport char** MagickGetImageProfiles | ( | MagickWand * | wand,
|  | const char * | pattern,
|  | unsigned long * | number_profiles |
| ) |  |  |

WandExport char** MagickGetImageProperties | ( | MagickWand * | wand,
|  | const char * | pattern,
|  | unsigned long * | number_properties |
| ) |  |  |

WandExport char* MagickGetImageProperty | ( | MagickWand * | wand,
|  | const char * | property |
| ) |  |  |

WandExport InterlaceType MagickGetInterlaceScheme | ( | MagickWand * | wand | ) |

WandExport InterpolatePixelMethod MagickGetInterpolateMethod | ( | MagickWand * | wand | ) |

WandExport char* MagickGetOption | ( | MagickWand * | wand,
|  | const char * | key |
| ) |  |  |

WandExport char** MagickGetOptions | ( | MagickWand * | wand,
|  | const char * | pattern,
|  | unsigned long * | number_options |
| ) |  |  |

WandExport OrientationType MagickGetOrientation | ( | MagickWand * | wand | ) |

WandExport const char* MagickGetPackageName | ( | void |  | ) |

WandExport MagickBooleanType MagickGetPage | ( | const MagickWand * | wand,
|  | unsigned long * | width,
|  | unsigned long * | height,
|  | long * | x,
|  | long * | y |
| ) |  |  |

WandExport double MagickGetPointsize | ( | MagickWand * | wand | ) |

WandExport const char* MagickGetQuantumDepth | ( | unsigned long * | depth | ) |

WandExport const char* MagickGetQuantumRange | ( | unsigned long * | range | ) |

WandExport const char* MagickGetReleaseDate | ( | void |  | ) |

WandExport unsigned long MagickGetResource | ( | const ResourceType | type | ) |

WandExport unsigned long MagickGetResourceLimit | ( | const ResourceType | type | ) |

WandExport double* MagickGetSamplingFactors | ( | MagickWand * | wand,
|  | unsigned long * | number_factors |
| ) |  |  |

WandExport MagickBooleanType MagickGetSize | ( | const MagickWand * | wand,
|  | unsigned long * | columns,
|  | unsigned long * | rows |
| ) |  |  |

WandExport MagickBooleanType MagickGetSizeOffset | ( | const MagickWand * | wand,
|  | long * | offset |
| ) |  |  |

WandExport ImageType MagickGetType | ( | MagickWand * | wand | ) |

WandExport const char* MagickGetVersion | ( | unsigned long * | version | ) |

WandExport MagickBooleanType MagickProfileImage | ( | MagickWand * | wand,
|  | const char * | name,
|  | const void * | profile,
|  | const size_t | length |
| ) |  |  |

WandExport unsigned char* MagickRemoveImageProfile | ( | MagickWand * | wand,
|  | const char * | name,
|  | size_t * | length |
| ) |  |  |

WandExport MagickBooleanType MagickSetAntialias | ( | MagickWand * | wand,
|  | const MagickBooleanType | antialias |
| ) |  |  |

WandExport MagickBooleanType MagickSetBackgroundColor | ( | MagickWand * | wand,
|  | const PixelWand * | background |
| ) |  |  |

WandExport MagickBooleanType MagickSetCompression | ( | MagickWand * | wand,
|  | const CompressionType | compression |
| ) |  |  |

WandExport MagickBooleanType MagickSetCompressionQuality | ( | MagickWand * | wand,
|  | const unsigned long | quality |
| ) |  |  |

WandExport MagickBooleanType MagickSetDepth | ( | MagickWand * | wand,
|  | const unsigned long | depth |
| ) |  |  |

WandExport MagickBooleanType MagickSetFilename | ( | MagickWand * | wand,
|  | const char * | filename |
| ) |  |  |

WandExport MagickBooleanType MagickSetFont | ( | MagickWand * | wand,
|  | const char * | font |
| ) |  |  |

WandExport MagickBooleanType MagickSetFormat | ( | MagickWand * | wand,
|  | const char * | format |
| ) |  |  |

WandExport MagickBooleanType MagickSetGravity | ( | MagickWand * | wand,
|  | const GravityType | type |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageProfile | ( | MagickWand * | wand,
|  | const char * | name,
|  | const void * | profile,
|  | const size_t | length |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageProperty | ( | MagickWand * | wand,
|  | const char * | property,
|  | const char * | value |
| ) |  |  |

WandExport MagickBooleanType MagickSetInterlaceScheme | ( | MagickWand * | wand,
|  | const InterlaceType | interlace_scheme |
| ) |  |  |

WandExport MagickBooleanType MagickSetInterpolateMethod | ( | MagickWand * | wand,
|  | const InterpolatePixelMethod | method |
| ) |  |  |

WandExport MagickBooleanType MagickSetOption | ( | MagickWand * | wand,
|  | const char * | key,
|  | const char * | value |
| ) |  |  |

WandExport MagickBooleanType MagickSetOrientation | ( | MagickWand * | wand,
|  | const OrientationType | orientation |
| ) |  |  |

WandExport MagickBooleanType MagickSetPage | ( | MagickWand * | wand,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | const long | x,
|  | const long | y |
| ) |  |  |

WandExport MagickBooleanType MagickSetPassphrase | ( | MagickWand * | wand,
|  | const char * | passphrase |
| ) |  |  |

WandExport MagickBooleanType MagickSetPointsize | ( | MagickWand * | wand,
|  | const double | pointsize |
| ) |  |  |

WandExport MagickProgressMonitor MagickSetProgressMonitor | ( | MagickWand * | wand,
|  | const MagickProgressMonitor | progress_monitor,
|  | void * | client_data |
| ) |  |  |

WandExport MagickBooleanType MagickSetResolution | ( | MagickWand * | wand,
|  | const double | x_resolution,
|  | const double | y_resolution |
| ) |  |  |

WandExport MagickBooleanType MagickSetResourceLimit | ( | const ResourceType | type,
|  | const MagickSizeType | limit |
| ) |  |  |

WandExport MagickBooleanType MagickSetSamplingFactors | ( | MagickWand * | wand,
|  | const unsigned long | number_factors,
|  | const double * | sampling_factors |
| ) |  |  |

WandExport MagickBooleanType MagickSetSize | ( | MagickWand * | wand,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

WandExport MagickBooleanType MagickSetSizeOffset | ( | MagickWand * | wand,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const long | offset |
| ) |  |  |

WandExport MagickBooleanType MagickSetType | ( | MagickWand * | wand,
|  | const ImageType | image_type |
| ) |  |  |